> ## Documentation Index
> Fetch the complete documentation index at: https://help.lobyco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Imports stores including opening hours.



## OpenAPI

````yaml openapi/store-v3.json POST /v3/Stores/import
openapi: 3.0.4
info:
  title: StoreApi - V3
  version: v3
servers:
  - url: https://{host}/store
    description: Your Lobyco environment
    variables:
      host:
        default: your-environment.lobyco.net
        description: >-
          The API host for your Lobyco environment. Replace it with the host you
          were given — this placeholder does not resolve.
security:
  - oauth2: []
paths:
  /v3/Stores/import:
    post:
      tags:
        - Service2Service
      summary: Imports stores including opening hours.
      parameters:
        - name: mode
          in: query
          description: ''
          schema:
            $ref: '#/components/schemas/ImportMode'
      requestBody:
        description: ''
        content:
          application/json-patch+json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/S2SImportStoreItemDto'
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/S2SImportStoreItemDto'
          text/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/S2SImportStoreItemDto'
          application/*+json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/S2SImportStoreItemDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImportResult'
        '207':
          description: Multi-Status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImportResult'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebServiceError'
      deprecated: true
components:
  schemas:
    ImportMode:
      enum:
        - Incremental
        - Full
      type: string
    S2SImportStoreItemDto:
      required:
        - chainId
        - id
        - name
      type: object
      properties:
        id:
          maxLength: 450
          minLength: 1
          type: string
        alternateIds:
          maxLength: 128
          type: string
          nullable: true
        name:
          maxLength: 256
          minLength: 1
          type: string
        registrationNumber:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        street:
          type: string
          nullable: true
        streetNumber:
          type: string
          nullable: true
        postalCode:
          type: string
          nullable: true
        latitude:
          type: number
          format: double
          nullable: true
        longitude:
          type: number
          format: double
          nullable: true
        chainId:
          maxLength: 450
          minLength: 1
          type: string
        status:
          $ref: '#/components/schemas/StoreStatus'
        storeType:
          $ref: '#/components/schemas/StoreType'
        timeZone:
          type: string
          nullable: true
        periods:
          type: array
          items:
            $ref: '#/components/schemas/StoreOpeningHoursPeriodDto'
          nullable: true
      additionalProperties: false
    ImportResult:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/WebServiceError'
          nullable: true
      additionalProperties: false
    WebServiceError:
      required:
        - message
        - name
      type: object
      properties:
        name:
          minLength: 1
          type: string
        message:
          minLength: 1
          type: string
        details:
          nullable: true
      additionalProperties: false
    StoreStatus:
      enum:
        - Active
        - Closed
        - NotSpecified
      type: string
    StoreType:
      enum:
        - Public
        - Internal
      type: string
    StoreOpeningHoursPeriodDto:
      type: object
      properties:
        openingHour:
          type: string
          example: '00:00:00'
        closingHour:
          type: string
          example: '00:00:00'
        dayOfWeek:
          $ref: '#/components/schemas/DayOfWeek'
        isClosedAllDay:
          type: boolean
          nullable: true
        isOpenedAllDay:
          type: boolean
          nullable: true
      additionalProperties: false
    DayOfWeek:
      enum:
        - Sunday
        - Monday
        - Tuesday
        - Wednesday
        - Thursday
        - Friday
        - Saturday
      type: string
  securitySchemes:
    oauth2:
      type: apiKey
      name: Authorization
      in: header

````